(function(){
	var init = function () {
		microadDevice = new MicroadDevice(ua);
		if (microadDevice) {
			new MicroadOverlay(microadDevice);
		}
	}

	var overlayJsList=[];
	var loader = function () {
		var o = overlayJsList.length;
		for (var i = 0; i < overlayJsList.length; i++) {
			var s = document.createElement('script');
			s.type = 'text/javascript';
			s.charset = 'utf-8';
			s.src = overlayJsList[i];
			s.onload = function () {
				o--;
				if(o == 0) init();
			};
			document.documentElement.appendChild(s);
		}
	};

	var ua = navigator.userAgent;
	if(/(iPhone|iPod|Android)/.test(ua)){
		overlayJsList.push('http://cache.ssend.microad.jp/js/device.js');
		overlayJsList.push('http://cache.ssend.microad.jp/js/overlay.js');
		document.addEventListener('DOMContentLoaded', loader, true);
	}
})();